Bug 199281 - New port: comms/hackrf HackRF Host Tools and Library
Summary: New port: comms/hackrf HackRF Host Tools and Library
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-08 01:54 UTC by Tomek "CeDeROM" CEDRO
Modified: 2015-08-30 20:23 UTC (History)
4 users (show)

See Also:


Attachments
comms/hackrf port initial commit shar (3.87 KB, text/plain)
2015-04-08 01:54 UTC, Tomek "CeDeROM" CEDRO
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomek "CeDeROM" CEDRO 2015-04-08 01:54:48 UTC
Created attachment 155327 [details]
comms/hackrf port initial commit shar

HackRF(One) Host Tools and Library :-)
Comment 1 Nick B 2015-08-04 21:11:40 UTC
Tested this on:
FreeBSD vm-bsd 10.2-RC2 FreeBSD 10.2-RC2 #0 r286137: Fri Jul 31 17:54:39 UTC 2015     root@releng1.nyi.freebsd.org:/usr/obj/usr/src/sys/GENERIC  amd64

Worked fine (serial number redacted):

[user1@vm-bsd ~]$ sudo hackrf_info
Found HackRF board.
Board ID Number: 2 (HackRF One)
Firmware Version: 2015.07.2
Part ID Number: 0xa000cb3c 0x0056474a
Serial Number: 0x00000000 0x00000000 0xXXXXXXXX 0xXXXXXXXX

Only issue is that it should also include devd rules, or at least print them out as a message after installation.

Otherwise, not sure why this is still not in the ports.
Comment 2 Tomek "CeDeROM" CEDRO 2015-08-05 08:01:50 UTC
Any updates on the port commit?? There is a new release already... :-)
Comment 3 ben gras 2015-08-30 15:53:30 UTC
+1 for inclusion. I tested it: (not with data acquisition, just info)

17:52 pts/1 comms/hackrf# uname -a
FreeBSD drclaw.shrike-systems.com 10.1-RELEASE-p16 FreeBSD 10.1-RELEASE-p16 #0: Tue Jul 28 12:04:19 UTC 2015     root@amd64-builder.daemonology.net:/usr/obj/usr/src/sys/GENERIC  amd64
17:52 pts/1 comms/hackrf# hackrf_info
Found HackRF board.
Board ID Number: 2 (HackRF One)
Firmware Version: 2014.08.1
Part ID Number: 0xa000cb3c 0x0082435d
Serial Number: 0x00000000 0x00000000 0xXXXXXXXX 0xXXXXXXXX
Comment 4 Kurt Jaeger freebsd_committer 2015-08-30 19:02:57 UTC
testing@work with the version 2015.07.2
Comment 5 commit-hook freebsd_committer 2015-08-30 20:20:53 UTC
A commit references this bug:

Author: pi
Date: Sun Aug 30 20:20:34 UTC 2015
New revision: 395641
URL: https://svnweb.freebsd.org/changeset/ports/395641

Log:
  New port: comms/hackrf

  HackRF One from Great Scott Gadgets is a Software Defined Radio peripheral
  capable of transmission or reception of radio signals from 10 MHz to 6 GHz.
  Designed to enable test and development of modern and next generation radio
  technologies, HackRF One is an open source hardware platform that can
  be used as a USB peripheral or programmed for stand-alone operation.

  WWW: https://greatscottgadgets.com/hackrf/

  PR:		199281
  Submitted by:	Tomek CEDRO <cederom@tlen.pl>
  Reviewed by:	Nicolas Blais <nicblais@clkroot.net>

Changes:
  head/comms/Makefile
  head/comms/hackrf/
  head/comms/hackrf/Makefile
  head/comms/hackrf/distinfo
  head/comms/hackrf/files/
  head/comms/hackrf/files/patch-host_hackrf-tools_CMakeLists.txt
  head/comms/hackrf/files/patch-host_libhackrf_CMakeLists.txt
  head/comms/hackrf/pkg-descr
  head/comms/hackrf/pkg-plist
Comment 6 Kurt Jaeger freebsd_committer 2015-08-30 20:23:12 UTC
Build-tested on current, 10.2-amd64, 10.2-i386, 9.3-amd64.

Committed, with small modifications and upgraded to 2015.07.2.

Thanks for your patience!